%define name iwlwifi-6050-ucode
%define version 41.28.5.1
%define version_api4 9.201.4.1
%define release %mkrel 3

Summary: Intel PRO/Wireless 6050AGN microcode
Name:	 %{name}
Version: %{version}
Release: %{release}
Source0: http://www.intellinuxwireless.org/iwlwifi/downloads/%{name}-%{version}.tgz
Source1: http://www.intellinuxwireless.org/iwlwifi/downloads/%{name}-%{version_api4}.tgz
License: Proprietary
Group:	 System/Kernel and hardware
Url:	 http://intellinuxwireless.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
The file iwlwifi-6050-*.ucode provided in this package is required to be
present on your system in order for the Intel PRO/Wireless 6050AGN Network
Connection Adapter driver for Linux (iwlagn) to be able to operate on
your system.

%prep
%setup -q -a 1

# provide old firmware with ucode_api=4 for compatibility with older kernels
cp %{name}-%{version_api4}/iwlwifi-6050-4.ucode .
cp %{name}-%{version_api4}/README.iwlwifi-6050-ucode \
README.iwlwifi-6050-ucode-4
mv README.iwlwifi-6050-ucode README.iwlwifi-6050-ucode-5

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware
install -m644 *.ucode %{buildroot}/lib/firmware/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE.* README.*
/lib/firmware/*.ucode




%changelog
* Sat Jan 15 2011 tmb <tmb> 41.28.5.1-3.mga1
+ Revision: 19584
- imported package iwlwifi-6050-ucode


* Sat Jan 15 2011 Thomas Backlund <tmb@mageia.org> 41.28.5.1-3.mga1
- initial Mageia import

* Tue Jan 04 2011 Colin Guthrie <cguthrie@mandriva.org> 41.28.5.1-2mdv2011.0
+ Revision: 628617
- Rebuild to regenerate media hdlists for non-free

* Thu Dec 30 2010 Thomas Backlund <tmb@mandriva.org> 41.28.5.1-1mdv2011.0
+ Revision: 626467
- add 41.28.5.1 ucode

* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 9.201.4.1-2mdv2011.0
+ Revision: 612426
- the mass rebuild of 2010.1 packages

* Fri Jun 04 2010 Thomas Backlund <tmb@mandriva.org> 9.201.4.1-1mdv2010.1
+ Revision: 547063
- Initial release
- Created package structure for iwlwifi-6050-ucode.

